> For the complete documentation index, see [llms.txt](https://docs.skyledge.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skyledge.com/getting-started/developer-guide/creating-a-control-room.md).

# Creating A Control Room

### **Recap: What’s a Control Room?**

Control Rooms are “containers of insights”.

Control Rooms can be created to **organise insights geographically** (e.g. Hero Potion control rooms for different regions, New York, Boston, San Fran).

They can also be used to organise insights **by themes or types of insights** (for example, different Control Rooms for the regulator, marketing team and logistics).

And of course, you can **mix and match** (for example, have control rooms for the logistics team in NY, a different one for the logistics team in San Fran and perhaps another Control Room that displays logistics insights across all cities).

### **Creating your first Control Room - Using the interface**

Creating a Control Room is a super easy, four step process:

1. Sign in to your launchpad&#x20;
2. Create Control Room
3. Give it a name, we've called ours “Heroes Flying Potion - Real-time Monitoring”&#x20;
4. Create Control Room

Click here for a detailed visual walk through.

### **Creating your first Control Room - Using the API**

It’s entirely possible that Control Rooms need to be provisioned using APIs. For example, an automatic process that creates a control room for each pharmacy that purchases from HP Inc. This way each pharmacy can see information about shipping status as well as create and see insights about its customers.

#### **Creating the Control Room**

```
POST api.skyledge.com/controlrooms

// raw JSON body for api request
{  
   "name":"Heroes Flying Potion - Real-time Monitoring",
   "description":"Real-time monitoring of Flying Potions"
}

```

{% tabs %}
{% tab title="cURL" %}

```
curl --location --request POST 'https://api.skyledge.com/controlrooms' \
--header 'X-Authorization: API_KEY' \
--header 'Content-Type: application/json' \
--data-raw {  
   "name":"Heroes Flying Potion - Real-time Monitoring",
   "description":"Real-time monitoring of Flying Potions"
}
```

{% endtab %}

{% tab title="NodeJs" %}

```
import {
  Configuration,
  ControlRoomsApi,
  CreateControlRoomRequest,
} from '@skyledge/sdk';

const configuration = new Configuration({
  apiKey: 'XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXX',
  basePath: 'https://api.skyledge.com',
});

const data: Partial<CreateControlRoomRequest> = {  
   "name":"Heroes Flying Potion - Real-time Monitoring",
   "description":"Real-time monitoring of Flying Potions"
}

const controlRoomApi = new ControlRoomsApi(configuration);

const newControlRoom = await controlRoomApi.createControlRoom(data);

console.log(newControlRoom.status);

```

{% endtab %}

{% tab title="Python" %}

```
import requests
import json

url = "https://api.skyledge.com/controlrooms"

payload = json.dumps({  
   "name":"Heroes Flying Potion - Real-time Monitoring",
   "description":"Real-time monitoring of Flying Potions"
})
headers = {
  'X-Authorization': 'API_KEY',
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.skyledge.com/getting-started/developer-guide/creating-a-control-room.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
